package cn.com.qmth.examcloud.core.examwork.starter.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.core.basic.api.SystemPropertyCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetSystemPropertyReq;
import cn.com.qmth.examcloud.support.cache.CacheObjectTrigger;

@Component
public class ExamCloudCacheObjectTrigger implements CacheObjectTrigger {

	@Autowired
	SystemPropertyCloudService systemPropertyCloudService;

	@Override
	public void loadSysProperty(String propKey) {
		GetSystemPropertyReq req = new GetSystemPropertyReq();
		req.setKey(propKey);
		systemPropertyCloudService.getSystemProperty(req);
	}

}
